Main Page Class Hierarchy Compound List File List Compound Members File Members

# seihead.h File Reference

`#include "earthworm_defs.h"`
`#include "trace_buf.h"`

Go to the source code of this file.

## Compounds
struct | Found_data
struct | Sei_channel_details
## Defines
#define | SEISAN_MISSING_DATA_FLAG 0
#define | FD_FOUND_REQUESTED 1
#define | FD_FOUND_GAP 2
#define | FD_NO_MORE_DATA 3
#define | FD_BAD_DATATYPE 4
#define | FD_CHANGED_SRATE 5
#define | FD_SHORT_INT 1
#define | FD_LONG_INT 2
#define | FD_FLOAT 3
#define | FD_DOUBLE 4
## Functions
int | open_seisan_file (char *output_dir, char *network_name, double st, double dur, int onn)
int | add_seisan_channel (char *chan_name, char *chan_type)
int | start_seisan_channel (char *chan_name, char *chan_type, double start_time, double sample_rate, long n_samples)
void | add_seisan_channel_data (long data_len, long *data)
int | end_seisan_channel (void)
int | close_seisan_file (void)
int | pa_find_data (TRACE_REQ *trace_req, double sample_time, struct Found_data *data)
int | SEIPA_init (char *output_dir, char *output_format, int debug)
int | SEIPA_next_ev (TRACE_REQ *trace_req, int n_reqs, char *output_dir, char *e_date, char *e_time, char *subnetName, int debug)
int | SEIPA_next (TRACE_REQ *trace_req, double gap_thresh, int debug)
int | SEIPA_end_ev (int debug)
int | SEIPA_close (int debug)

## Define Documentation

#define FD_BAD_DATATYPE 4

| Definition at line 48 of file seihead.h. Referenced by GSEPA_next(), pa_find_data(), and SEIPA_next().

#define FD_CHANGED_SRATE 5

| Definition at line 49 of file seihead.h. Referenced by GSEPA_next(), pa_find_data(), and SEIPA_next().

#define FD_DOUBLE 4

| Definition at line 55 of file seihead.h. Referenced by GSEPA_next(), pa_find_data(), and SEIPA_next().

#define FD_FLOAT 3

| Definition at line 54 of file seihead.h. Referenced by GSEPA_next(), pa_find_data(), and SEIPA_next().

#define FD_FOUND_GAP 2

| Definition at line 46 of file seihead.h. Referenced by GSEPA_next(), pa_find_data(), and SEIPA_next().

#define FD_FOUND_REQUESTED 1

| Definition at line 45 of file seihead.h. Referenced by GSEPA_next(), pa_find_data(), and SEIPA_next().

#define FD_LONG_INT 2

| Definition at line 53 of file seihead.h. Referenced by GSEPA_next(), pa_find_data(), and SEIPA_next().

#define FD_NO_MORE_DATA 3

| Definition at line 47 of file seihead.h. Referenced by GSEPA_next(), pa_find_data(), and SEIPA_next().

#define FD_SHORT_INT 1

| Definition at line 52 of file seihead.h. Referenced by GSEPA_next(), pa_find_data(), and SEIPA_next().

#define SEISAN_MISSING_DATA_FLAG 0

| Definition at line 28 of file seihead.h. Referenced by close_seisan_file(), end_seisan_channel(), and SEIPA_next().

## Function Documentation

int add_seisan_channel | ( | char * | chan_name,
|  | char * | chan_type
| ) |

| Definition at line 142 of file seiutils.c. References channels, duration, FALSE, n_channels, start_time, and TRUE. Referenced by SEIPA_next_ev().

void add_seisan_channel_data | ( | long | data_len,
|  | long * | data
| ) |

| Definition at line 249 of file seiutils.c. References current_channel, Sei_channel_details::n_samples, Sei_channel_details::n_written, output_native_numbers, and SwapLong(). Referenced by SEIPA_next().

int close_seisan_file | ( | void |  | ) |

| Definition at line 325 of file seiutils.c. References channels, FALSE, gmtime_ew(), MAX_DIR_LEN, n_channels, network_name, output_native_numbers, SEISAN_MISSING_DATA_FLAG, start_time, SwapLong(), TRUE, and write_seisan(). Referenced by SEIPA_end_ev().

int end_seisan_channel | ( | void |  | ) |

| Definition at line 283 of file seiutils.c. References current_channel, FALSE, Sei_channel_details::n_samples, Sei_channel_details::n_written, output_native_numbers, SEISAN_MISSING_DATA_FLAG, SwapLong(), and TRUE. Referenced by SEIPA_next().

int open_seisan_file | ( | char * | output_dir,
|  | char * | network_name,
|  | double | st,
|  | double | dur,
|  | int | onn
| ) |

| Definition at line 105 of file seiutils.c. References channels, CreateDir(), current_channel, duration, EW_SUCCESS, FALSE, n_channels, output_native_numbers, start_time, and TRUE. Referenced by SEIPA_next_ev().

int pa_find_data | ( | TRACE_REQ * | trace_req,
|  | double | sample_time,
|  | struct Found_data * | data
| ) |

| Definition at line 540 of file seiutils.c. References TRACE_REQ::actLen, Found_data::data, Found_data::data_type_code, TRACE_HEADER::datatype, TRACE_HEADER::endtime, FD_BAD_DATATYPE, FD_CHANGED_SRATE, FD_DOUBLE, FD_FLOAT, FD_FOUND_GAP, FD_FOUND_REQUESTED, FD_LONG_INT, FD_NO_MORE_DATA, FD_SHORT_INT, logit(), Found_data::n_samples, TRACE_HEADER::nsamp, TRACE_REQ::pBuf, Found_data::sample_rate, TRACE_HEADER::samprate, start_time, TRACE_HEADER::starttime, Found_data::trace_hdr, and WaveMsgMakeLocal(). Referenced by GSEPA_next(), and SEIPA_next().

int SEIPA_close | ( | int | debug | ) |

| Definition at line 375 of file seiputaway.c. References EW_SUCCESS, and logit(). Referenced by PA_close().

int SEIPA_end_ev | ( | int | debug | ) |

| Definition at line 339 of file seiputaway.c. References close_seisan_file(), EW_FAILURE, EW_SUCCESS, and logit(). Referenced by PA_end_ev().

int SEIPA_init | ( | char * | output_dir,
|  | char * | output_format,
|  | int | debug
| ) |

| Definition at line 66 of file seiputaway.c. References CreateDir(), EW_FAILURE, EW_SUCCESS, FALSE, logit(), output_native_numbers, and TRUE. Referenced by PA_init().

int SEIPA_next | ( | TRACE_REQ * | trace_req,
|  | double | gap_thresh,
|  | int | debug
| ) |

| Definition at line 210 of file seiputaway.c. References add_seisan_channel_data(), TRACE_REQ::chan, Found_data::data, Found_data::data_type_code, end_seisan_channel(), EW_FAILURE, EW_SUCCESS, FD_BAD_DATATYPE, FD_CHANGED_SRATE, FD_DOUBLE, FD_FLOAT, FD_FOUND_GAP, FD_FOUND_REQUESTED, FD_LONG_INT, FD_NO_MORE_DATA, FD_SHORT_INT, logit(), Found_data::n_samples, TRACE_REQ::net, pa_find_data(), TRACE_REQ::reqEndtime, TRACE_REQ::reqStarttime, Found_data::sample_rate, SEISAN_MISSING_DATA_FLAG, TRACE_REQ::sta, and start_seisan_channel(). Referenced by PA_next().

int SEIPA_next_ev | ( | TRACE_REQ * | trace_req,
|  | int | n_reqs,
|  | char * | output_dir,
|  | char * | e_date,
|  | char * | e_time,
|  | char * | subnetName,
|  | int | debug
| ) |

| Definition at line 123 of file seiputaway.c. References add_seisan_channel(), TRACE_REQ::chan, EW_FAILURE, EW_SUCCESS, logit(), TRACE_REQ::net, open_seisan_file(), TRACE_REQ::reqEndtime, TRACE_REQ::reqStarttime, and TRACE_REQ::sta. Referenced by PA_next_ev().

int start_seisan_channel | ( | char * | chan_name,
|  | char * | chan_type,
|  | double | start_time,
|  | double | sample_rate,
|  | long | n_samples
| ) |

| Definition at line 189 of file seiutils.c. References Sei_channel_details::channel_count, channel_fp, channels, current_channel, FALSE, Sei_channel_details::filename, n_channels, Sei_channel_details::n_samples, output_native_numbers, Sei_channel_details::sample_rate, start_time, Sei_channel_details::start_time, SwapLong(), and TRUE. Referenced by SEIPA_next().